﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS6000 (1 yr) Trig Sens IEEE /9500+5Ch+G3
DATE:                  2018-09-10 13:19:44
AUTHOR:                Fluke
REVISION:              $Revision: 24954 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       13
NUMBER OF LINES:       378
CONFIGURATION:         Datron 9500 (C5,G3,B)
CONFIGURATION:         Datron 9530 on channel 4
CONFIGURATION:         Datron 9530 on channel 3
=============================================================================
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           M[100] == 1
  1.002  RSLT         =
  1.003  RSLT         =TRIGGER SENSITIVITY
  1.004  ENDIF

  1.005  HEAD         MAIN TRIGGER TESTS
  1.006  RSLT         =
  1.007  HEAD         -2{Channel [M100]}

  1.008  IF           M[100] == 1
  1.009  M9500                       CH1
  1.010  ELSEIF       M[100] == 2
  1.011  M9500                       CH2
  1.012  ELSEIF       M[100] == 3
  1.013  M9500                       CH3
  1.014  ELSEIF       M[100] == 4
  1.015  M9500                       CH4
  1.016  ELSE
  1.017  DISP         M[91]100[93] must be 1, 2, 3, or 4.
  1.018  MATH         @Abort = 1
  1.019  END
  1.020  ENDIF

  1.021  TARGET

  1.022  IF           M[100] == 1
  1.023  DISP         Disconnect CH 4 Active Head from DUT CH 4 input module.
  1.023  DISP
  1.023  DISP         Connect CH 4 Active Head to DUT AUX INPUT using a
  1.023  DISP         50 Ω feedthrough termination.
  1.024  ELSEIF       M[100] == 4
  1.025  DISP         Disconnect CH 4 Active Head from the 50 Ω termination.
  1.025  DISP
  1.025  DISP         Connect CH 4 Active Head to DUT CH 4 input module.
  1.025  DISP
  1.025  DISP         Connect CH 3 Active Head to the 50 Ω termination
  1.025  DISP         connected to the DUT AUX INPUT.
  1.026  ENDIF

  1.027  CALL         Sub Tek TDS6000 Recall Factory Setup IEEE
  1.028  JMPL         END                          @Abort
  1.029  CALL         Sub Tek TDSxxx Channel Selection
  1.030  JMPL         END                          @Abort
  1.031  IEEE         SELECT:CH1 [SREG1];CH2 [SREG2];CH3 [SREG3];CH4 [SREG4]
  1.032  IEEE         TRIG:A:MODE NORMAL
  1.033  IEEE         MEASU:METHOD MINMAX
  1.034  IEEE         MEASU:IMM:TYPE AMPLITUDE;SOURCE CH[M100]
  1.035  IEEE         HOR:MAIN:SCALE 20e-9
  1.036  IEEE         TRIG:A:EDGE:SLOPE RISE;SOURCE CH[M100]
  1.037  IEEE         ACQ:MODE AVERAGE;NUMAVG 16
  1.038  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN

# Intially set 9500 to 350mVpp.  We will adjust for 350mVpp on DUT below.
  1.039  MATH         M[3] = 350E-3; MEM = M[3]
  1.040  9500         Vpp                          50MH           LS    S  L
  1.041  MATH         @Cmd = "TRIG:A SETLEVEL"
  1.042  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  1.043  JMPL         END                          @Abort

  1.044  DO
  1.045  CALL         Sub Tek TDS6000 Check for Trigger IEEE

  1.046  IF           NOT(@Triggered)
  1.047  DISP         The DUT is not triggered!
  1.047  DISP         Check connections.
  1.048  ENDIF
  1.049  UNTIL        @Triggered

  1.050  MATH         M[102] = 50
  1.051  CALL         Sub Tek TDS6000 Set Leveled Sine IEEE /9500+G3
  1.052  JMPL         END                          @Abort

# Attenuate the 9500 output by a factor of 10
# Store the attenuated 9500 output level
  1.053  MATH         M[2] = MEM1 / 10
  1.054  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN

# Do negative slope test first so system is left triggered on positive slope.
  1.055  JMPL         MAIN_TRIG_SLOPE_NEG_50MHz

  1.056  LABEL        MAIN_TRIG_SLOPE_POS_50MHz
  1.057  IEEE         TRIG:A:EDGE:SLOPE RISE
  1.058  MATH         MEM = M[2]
  1.059  9500         Vpp                          50MH           LS    S  L
  1.060  MATH         M[3] = -0.030; M[4] = 0.002
  1.061  CALL         Sub Tek TDS6000 Main Trigger IEEE
  1.062  JMPL         END                          @Abort
  1.063  MATH         MEM2 = FMT((MEM1 / 1E-3), "%6.3f")
  1.064  EVAL   -e M[10] > 10 : [32]Main Trigger (+): [MEM2] mVpp @ 50 MHz

# Negative slope triggering has been checked.  Jump to delayed trigger tests.
  2.001  JMPL         DELAYED_TRIG_TESTS_50MHz

# Set the 9500 again
  2.002  LABEL        MAIN_TRIG_SLOPE_NEG_50MHz
  2.003  MATH         MEM = M[2]
  2.004  9500         Vpp                          50MH           LS    S  L
  2.005  IEEE         TRIG:A:EDGE:SLOPE FALL
  2.006  MATH         M[3] = -0.030; M[4] = 0.002
  2.007  CALL         Sub Tek TDS6000 Main Trigger IEEE
  2.008  JMPL         END                          @Abort
  2.009  MATH         MEM2 = FMT((MEM1 / 1E-3), "%6.3f")
  2.010  EVAL   -e M[10] > 10 : [32]Main Trigger (-): [MEM2] mVpp @ 50 MHz

# Now check positive slope triggering.
  3.001  JMPL         MAIN_TRIG_SLOPE_POS_50MHz

# We will test the trigger on the Delayed Timebase
  3.002  LABEL        DELAYED_TRIG_TESTS_50MHz
  3.003  HEAD         DELAYED TRIGGER TESTS
  3.004  TARGET
  3.005  IEEE         TRIG:B:BY TIME;EDGE:SOURCE CH[M100]

# Do negative slope test first so system is left triggered on positive slope.
  3.006  JMPL         DELAYED_TRIG_SLOPE_NEG_50MHz

  3.007  LABEL        DELAYED_TRIG_SLOPE_POS_50MHz
  3.008  IEEE         TRIG:B:EDGE:SLOPE RISE
  3.009  MATH         MEM = M[2]
  3.010  9500         Vpp                          50MH           LS    S  L
  3.011  MATH         M[3] = -0.030; M[4] = 0.002
  3.012  CALL         Sub Tek TDS6000 Delay Trigger IEEE
  3.013  JMPL         END                          @Abort
  3.014  MATH         MEM2 = FMT((MEM1 / 1E-3), "%6.3f")
  3.015  EVAL   -e M[10] > 10 : [32]Delayed Trigger (+): [MEM2] mVpp @ 50 MHz

  4.001  JMPL         END_DELAYED_TRIG_50MHz

  4.002  LABEL        DELAYED_TRIG_SLOPE_NEG_50MHz
  4.003  IEEE         TRIG:B:EDGE:SLOPE FALL
  4.004  MATH         MEM = M[2]
  4.005  9500         Vpp                          50MH           LS    S  L
  4.006  MATH         M[3] = -0.030; M[4] = 0.002
  4.007  CALL         Sub Tek TDS6000 Delay Trigger IEEE
  4.008  JMPL         END                          @Abort
  4.009  MATH         MEM2 = FMT((MEM1 / 1E-3), "%6.3f")
  4.010  EVAL   -e M[10] > 10 : [32]Delayed Trigger (-): [MEM2] mVpp @ 50 MHz

# Now check positive slope triggering.
  5.001  JMPL         DELAYED_TRIG_SLOPE_POS_50MHz

  5.002  LABEL        END_DELAYED_TRIG_50MHz
# Reset 9500 to avoid a settings conflict when going to dual output mode.
  5.003  9500         *                                                 S
  5.004  IEEE         TRIG:B:STATE OFF

  5.005  HEAD         AUX TRIGGER TESTS
  5.006  TARGET

  5.007  IF           M[100] == 1
  5.008  M9500                       CH14
  5.009  ELSEIF       M[100] == 2
  5.010  M9500                       CH24
  5.011  ELSE
  5.012  M9500                       CH34
  5.013  ENDIF

  5.014  IEEE         TRIG:A:EDGE:SOURCE AUX;SLOPE RISE

  5.015  MATH         M[3] = 250E-3; M[102] = 50
  5.016  CALL         Sub Tek TDS6000 Set Leveled Sine IEEE /9500+G3
  5.017  JMPL         END                          @Abort

  5.018  MATH         M[2] = MEM1
# Set the Auxilary Trigger
  5.019  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN
  5.020  MATH         @Cmd = "TRIG:A SETLEVEL"
  5.021  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  5.022  JMPL         END                          @Abort

  5.023  MATH         MEM = M[2]
  5.024  9500         Vpp                          50MH           LS    S  L
  5.025  MATH         M[3] = -0.030; M[4] = 0.002
  5.026  CALL         Sub Tek TDS6000 Main Trigger IEEE
  5.027  JMPL         END                          @Abort
  5.028  MATH         MEM2 = FMT((MEM1 / 1E-3), "%6.2f")
  5.029  EVAL   -e M[10] > 10 : [32]Aux Trigger (+): [MEM2] mVpp @ 50 MHz

  6.001  IEEE         TRIG:A:EDGE:SLOPE FALL
  6.002  MATH         MEM = M[2]
  6.003  9500         Vpp                          50MH           LS    S  L
  6.004  MATH         M[3] = -0.030; M[4] = 0.002
  6.005  CALL         Sub Tek TDS6000 Main Trigger IEEE
  6.006  JMPL         END                          @Abort
  6.007  MATH         MEM2 = FMT((MEM1 / 1E-3), "%6.2f")
  6.008  EVAL   -e M[10] > 10 : [32]Aux Trigger (-): [MEM2] mVpp @ 50 MHz

  7.001  IEEE         HOR:MAIN:SCALE 200e-12
  7.002  IEEE         TRIG:A:EDGE:SLOPE RISE;SOURCE CH[M100]
  7.003  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN

# Intially set 9500 to 750 mVpp.  We will adjust for 750 mVpp on DUT below.
  7.004  MATH         M[3] = 750E-3; MEM = M[3]
  7.005  9500         Vpp                          3GH            LS    S  L
  7.006  MATH         @Cmd = "TRIG:A SETLEVEL"
  7.007  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  7.008  JMPL         END                          @Abort

  7.009  DO
  7.010  CALL         Sub Tek TDS6000 Check for Trigger IEEE

  7.011  IF           NOT(@Triggered)
  7.012  DISP         The DUT is not triggered!
  7.012  DISP         Check connections.
  7.013  ENDIF

  7.014  UNTIL        @Triggered

  7.015  MATH         M[3] = 750E-3; M[102] = 3000
  7.016  CALL         Sub Tek TDS6000 Set Leveled Sine IEEE /9500+G3
  7.017  JMPL         END                          @Abort

# Attenuate the 9500 output by a factor of 5.
# Store the attenuated 9500 output level.
  7.018  HEAD         MAIN TRIGGER TESTS
  7.019  TARGET
  7.020  MATH         M[2] = MEM1 / 5
  7.021  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN

# Do negative slope test first so system is left triggered on positive slope.
  7.022  JMPL         MAIN_TRIG_SLOPE_NEG_3GHz

  7.023  LABEL        MAIN_TRIG_SLOPE_POS_3GHz
  7.024  IEEE         TRIG:A:EDGE:SLOPE RISE
  7.025  MATH         MEM = M[2]
  7.026  9500         Vpp                          3GH            LS    S  L
  7.027  MATH         M[3] = -0.030; M[4] = 0.002
  7.028  CALL         Sub Tek TDS6000 Main Trigger IEEE
  7.029  JMPL         END                          @Abort
  7.030  MATH         MEM2 = FMT((MEM1 / 1E-3), "%6.2f")
  7.031  EVAL   -e M[10] > 10 : [32]Main Trigger (+): [MEM2] mVpp @ 3 GHz

# Negative slope triggering has been checked.  Jump to delayed trigger tests.
  8.001  JMPL         DELAYED_TRIG_TESTS_1.5GHz

# Set the 9500 again
  8.002  LABEL        MAIN_TRIG_SLOPE_NEG_3GHz
  8.003  MATH         MEM = M[2]
  8.004  9500         Vpp                          3GH            LS    S  L
  8.005  IEEE         TRIG:A:EDGE:SLOPE FALL
  8.006  MATH         M[3] = -0.030; M[4] = 0.002
  8.007  CALL         Sub Tek TDS6000 Main Trigger IEEE
  8.008  JMPL         END                          @Abort
  8.009  MATH         MEM2 = FMT((MEM1 / 1E-3), "%6.2f")
  8.010  EVAL   -e M[10] > 10 :[32]Main Trigger (-): [MEM2] mVpp @ 3 GHz

# Now check positive slope triggering.
  9.001  JMPL         MAIN_TRIG_SLOPE_POS_3GHz

# We will test the trigger on the Delayed Timebase
  9.002  LABEL        DELAYED_TRIG_TESTS_1.5GHz
  9.003  HEAD         DELAYED TRIGGER TESTS
  9.004  TARGET
  9.005  IEEE         TRIG:B:BY TIME;EDGE:SOURCE CH[M100]
  9.006  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN

# Intially set 9500 to 500 mVpp.  We will adjust for 500 mVpp on DUT below.
  9.007  MATH         M[3] = 500E-3; MEM = M[3]
  9.008  9500         Vpp                          1.5GH          LS    S  L
  9.009  MATH         @Cmd = "TRIG:A SETLEVEL"
  9.010  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  9.011  JMPL         END                          @Abort

  9.012  DO
  9.013  CALL         Sub Tek TDS6000 Check for Trigger IEEE

  9.014  IF           NOT(@Triggered)
  9.015  DISP         The DUT is not triggered!
  9.015  DISP         Check connections.
  9.016  ENDIF

  9.017  UNTIL        @Triggered

  9.018  MATH         M[3] = 500E-3; M[102] = 1500
  9.019  CALL         Sub Tek TDS6000 Set Leveled Sine IEEE /9500+G3
  9.020  JMPL         END                          @Abort

# Attenuate the 9500 output by a factor of 5.
# Store the attenuated 9500 output level.
  9.021  MATH         M[2] = MEM1 / 5

# Do negative slope test first so system is left triggered on positive slope.
  9.022  JMPL         DELAYED_TRIG_SLOPE_NEG_1.5GHz

  9.023  LABEL        DELAYED_TRIG_SLOPE_POS_1.5GHz
  9.024  IEEE         TRIG:B:EDGE:SLOPE RISE
  9.025  MATH         MEM = M[2]
  9.026  9500         Vpp                          1.5GH          LS    S  L
  9.027  MATH         M[3] = -0.030; M[4] = 0.002
  9.028  CALL         Sub Tek TDS6000 Delay Trigger IEEE
  9.029  JMPL         END                          @Abort
  9.030  MATH         MEM2 = FMT((MEM1 / 1E-3), "%6.2f")
  9.031  EVAL   -e M[10] > 10 : [32]Delayed Trigger (+): [MEM2] mVpp @ 1.5 GHz

 10.001  JMPL         END_DELAYED_TRIG_1.5GHz

 10.002  LABEL        DELAYED_TRIG_SLOPE_NEG_1.5GHz
 10.003  IEEE         TRIG:B:EDGE:SLOPE FALL
 10.004  MATH         MEM = M[2]
 10.005  9500         Vpp                          1.5GH          LS    S  L
 10.006  MATH         M[3] = -0.030; M[4] = 0.002
 10.007  CALL         Sub Tek TDS6000 Delay Trigger IEEE
 10.008  JMPL         END                          @Abort
 10.009  MATH         MEM2 = FMT((MEM1 / 1E-3), "%6.2f")
 10.010  EVAL   -e M[10] > 10 : [32]Delayed Trigger (-): [MEM2] mVpp @ 1.5 GHz

# Now check positive slope triggering.
 11.001  JMPL         DELAYED_TRIG_SLOPE_POS_1.5GHz

 11.002  LABEL        END_DELAYED_TRIG_1.5GHz
# Reset 9500 to avoid a settings conflict when going to dual output mode.
 11.003  9500         *                                                 S
 11.004  IEEE         TRIG:B:STATE OFF

 11.005  LABEL        AUX_TRIG_TESTS_500MHz
 11.006  HEAD         AUX TRIGGER TESTS
 11.007  TARGET

 11.008  IF           M[100] == 1
 11.009  M9500                       CH14
 11.010  ELSEIF       M[100] == 2
 11.011  M9500                       CH24
 11.012  ELSE
 11.013  M9500                       CH34
 11.014  ENDIF

 11.015  IEEE         HOR:MAIN:SCALE 2.5e-9
# Adjust for 350mVpp at 500MHz.
 11.016  MATH         M[3] = 350E-3; M[102] = 500
 11.017  CALL         Sub Tek TDS6000 Set Leveled Sine IEEE /9500+G3
 11.018  JMPL         END                          @Abort

 11.019  MATH         M[2] = MEM1
# Set the Auxilary Trigger
 11.020  IEEE         TRIG:A:EDGE:SOURCE AUX;SLOPE RISE
 11.020  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN
 11.021  MATH         @Cmd = "TRIG:A SETLEVEL"
 11.022  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
 11.023  JMPL         END                          @Abort

 11.024  MATH         MEM = M[2]
 11.025  9500         Vpp                          500MH          LS    S  L
 11.026  MATH         M[3] = -0.030; M[4] = 0.002
 11.027  CALL         Sub Tek TDS6000 Main Trigger IEEE
 11.028  JMPL         END                          @Abort
 11.029  MATH         MEM2 = FMT((MEM1 / 1E-3), "%6.2f")
 11.030  EVAL   -e M[10] > 10 : [32]Aux Trigger (+): [MEM2] mVpp @ 500 MHz

 12.001  IEEE         TRIG:A:EDGE:SLOPE FALL
 12.002  MATH         MEM = M[2]
 12.003  9500         Vpp                          500MH          LS    S  L
 12.004  MATH         M[3] = -0.030; M[4] = 0.002
 12.005  CALL         Sub Tek TDS6000 Main Trigger IEEE
 12.006  JMPL         END                          @Abort
 12.007  MATH         MEM2 = FMT((MEM1 / 1E-3), "%6.2f")
 12.008  EVAL   -e M[10] > 10 : [32]Aux Trigger (-): [MEM2] mVpp @ 500 MHz

 13.001  LABEL        END
 13.002  HEAD         -2
 13.003  M9500        *
 13.004  9500         *                                                 S
 13.005  HEAD
 13.006  END
