﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS6000 Recall Factory Setup IEEE
INSTRUMENT:            Sub Tek TDS6000 Self-Test IEEE
DATE:                  2018-09-10 13:44:54
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 24954 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       4
NUMBER OF LINES:       144
=============================================================================
#
#  Procedure Author:
#        DAC, ZY
#
#  Source:
#        Tektronix TDS6000 Series Service Manual,
#        Performance Verification, and Specifications
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         RECALL_FACTORY_SETUP         PSUB("Factory Setup")
  1.002  JMPL         SELF_TEST                    PSUB("Self-Test")
  1.003  DISP         Subprocedure not found!
  1.004  END

  1.005  EVAL   Increment test number

# =====  Sub Tek TDS6000 Recall Factory Setup IEEE  =========================

  2.001  LABEL        RECALL_FACTORY_SETUP

# Clear Event Queue, ESR, and STB.
# Reset scope to factory defaults.
# Turn off headers on query response.
  2.002  MATH         @Cmd = "*CLS;*RST;HEADER OFF"
  2.003  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  2.004  END

  2.005  EVAL   Increment test number

# =====  Sub Tek TDS6000 Self-Test IEEE  =====================================

  3.001  LABEL        SELF_TEST
  3.002  HEAD         SELF-TEST
  3.003  RSLT         =
  3.004  TARGET

  3.005  DO
  3.006  CALL         Sub Tek TDS6000 Recall Factory Setup IEEE
  3.007  JMPL         END                          @Abort
# Inform technician of what to expect during self-test
  3.008  DISP         Disconnect any input signals from all four channels.
  3.009  DISP         During the self-test, the UUT display will flash
  3.009  DISP         and display multiple-line patterns at times. This
  3.009  DISP         is normal behavior.
  3.009  DISP
  3.009  DISP         The duration of the self-test is approximately
  3.009  DISP         2.5 minutes.

# Setup conditions which will set the ESB bit in the status byte:
#     Power On (PON)                        128 (set when Self-test completes)
#     Command Error (CME)                    32
#     Execution Error (EXE)                  16
#     Device Dependent Error (DDE)            8
#     Query Error (QYE)                       4
#                                           ---
#     Event Status Enable Register (ESE)    188
#
# Send commands to start the self-test
  3.010  IEEE         *CLS;*SRE 0;*ESE 188;DIA:SELECT:ALL ALL;:DIA:EXECUTE
  3.011  MATH         L[1] = 0; @Abort = 0

  3.012  DO
  3.013  MATH         MEM2 = FTIME(L[1])
  3.014  HEAD         PERFORMING SELF-TEST ([MEM2] has elapsed)
  3.015  IEEE         [SPL 96]
  3.016  MATH         ESB = BIT(5, MEM)

  3.017  IF           NOT(ESB)
  3.018  IEEE         [D1000]
  3.019  MATH         L[1] = L[1] + 1
  3.020  ENDIF

  3.021  UNTIL        ESB

  3.022  IEEE         *ESR?[I]
# Check for any errors (CME, EXE, DDE, and QYE)
  3.023  MATH         QYE = BIT(2, MEM)
  3.024  MATH         DDE = BIT(3, MEM)
  3.025  MATH         EXE = BIT(4, MEM)
  3.026  MATH         CME = BIT(5, MEM)

  3.027  IF           QYE || DDE || EXE || CME

  3.028  DO
  3.029  IEEE         EVMSG?[I$]
  3.030  MATH         L[1] = MEM2

# If 590,"Diagnostic warning, running GPIB diagnostic over
# GPIB may effect talk/listen program", self test completed.
  3.031  IF           L[1] != 590
  3.032  DISP         [MEM2]
  3.033  MATH         @Abort = 1
  3.034  ENDIF

  3.035  UNTIL        L[1] == 0

  3.036  ELSE
  3.037  DISP         Unidentified DUT SRQ!  ESR is [MEM].
  3.038  MATH         @Abort = 1
  3.039  ENDIF

  3.040  IF           @Abort
  3.041  IEEE         DIA:STOP
  3.042  OPBR         -z Do you wish to execute self-test again?
  3.043  ELSE
  3.044  MATH         MEM1 = 0
  3.045  ENDIF

  3.046  UNTIL        NOT(MEM1)

  3.047  HEAD         SELF-TEST COMPLETE
  3.048  IEEE         DIA:RESULTS?[I$]
  3.049  EVAL   -e FIND(MEM2, "Pass", 1) : SELF TEST

  4.001  LABEL        END
  4.002  END
